<%- include('../partials/header', {title: 'Seznam roků'}); %>
<!-- Datatables styles -->
<link rel="stylesheet" href="/assets/vendor/datatables.net-bs4/css/dataTables.bootstrap4.min.css">
<link rel="stylesheet" href="/assets/vendor/datatables.net-buttons-bs4/css/buttons.bootstrap4.min.css">
<link rel="stylesheet" href="/assets/vendor/datatables.net-select-bs4/css/select.bootstrap4.min.css">
<%- include('../partials/scripts'); %>
</head>

<body class="">
  <%- include('../partials/navbar', {active: 'years'}); %>
  <div class="main-content">
    <%- include('../partials/topbar', {title: 'Seznam roků'}) %>
    <%- include('partials/header-bar') %>
    <div class="container-fluid mt--7">
      <%
      if (req.query.status) {
        switch (req.query.status) {
        case 'new-ok':
          bg = `success`;
          text = {
            bold: 'Gratuluji!',
            normal: 'Rok byl úspěšně vytvořen!',
          }; 
          break;
      
        case 'edit-ok':
          bg = `success`;
          text = {
            bold: 'Gratuluji!',
            normal: 'Rok byl úspěšně upraven!',
          }; 
          break;

        default:
          bg = `default`;
          text = {
            bold: 'Heleme se!',
            normal: ' Uživatel si hraje s URL!',
          };
          break;
      }
      %>
      <div class="alert alert-<%= bg %>" role="alert">
        <strong><%= text.bold %></strong> <%= text.normal %>
      </div>
      <% } %>
      <div class="row">
        <div class="col">
          <div class="card shadow">
            <div class="card-header border-0">
              <h3 class="mb-0">Seznam roků</h3>
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <div>
                  <table class="table align-items-center" id="myTable">
                    <thead class="thead-light">
                      <tr>
                        <th scope="col">Rok</th>
                        <th scope="col">Popis</th>
                        <th scope="col">Vytvořil</th>
                        <th scope="col">Akce</th>
                      </tr>
                    </thead>
                    <tbody class="list">
                      <% years.forEach((year) => { %>
                      <tr>
                        <th scope="row" class="name">
                          <div class="media align-items-center">
                            <div class="media-body">
                              <span class="mb-0 text-sm">
                                <%= year.name %>
                              </span>
                            </div>
                          </div>
                        </th>
                        <td><%= year.description %></td>
                        <td><%= year.author %></td>
                        <td>
                          <div class="row" style="justify-content: space-between; /*min-width: 80px;*/">
                            <% if (req.session.user.permissions.includes('users-edit') || req.session.user.permissions.includes('masterAdmin')){ %>
                            <a href="/admin/users/edit/?id=<%= year._id %>">
                              <i class="fas fa-pen"></i></a>
                            <% } if (req.session.user.permissions.includes('users-delete') || req.session.user.permissions.includes('masterAdmin')){ %>
                            <button onclick="deleteYearById('<%= year._id %>');"
                              style="background: none; border: none; padding: 0; ">
                              <i class="fas fa-trash" style="color: red; "></i>
                            </button>
                            <% } %>
                          </div>
                        </td>
                      </tr>
                      <%}); %>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <%- include('../partials/footer') %>
      <!-- Optional JS -->
      <script src="//cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
      <script src="/assets/vendor/datatables.net/js/jquery.dataTables.min.js"></script>
      <script src="/assets/vendor/datatables.net-bs4/js/dataTables.bootstrap4.min.js"></script>
      <script src="/assets/vendor/datatables.net-buttons/js/dataTables.buttons.min.js"></script>
      <script src="/assets/vendor/datatables.net-buttons-bs4/js/buttons.bootstrap4.min.js"></script>
      <script src="/assets/vendor/datatables.net-buttons/js/buttons.html5.min.js"></script>
      <script src="/assets/vendor/datatables.net-buttons/js/buttons.flash.min.js"></script>
      <script src="/assets/vendor/datatables.net-buttons/js/buttons.print.min.js"></script>
      <script src="/assets/vendor/datatables.net-select/js/dataTables.select.min.js"></script>
      <script>
        $(document).ready(function () {
          $('#myTable').DataTable();
        });

        function switchYear(year) {
          swal({
            title: "Přepíná se rok ...",
            text: "Vydrž momentík ...",
            icon: "warning",
            timer: 2000,
          }).then((value) => {
            if (2019 == year) {
              swal({
                title: 'Asi jsi se uklikl',
                text: 'Vybral jsi stejný rok, jako je ten aktuální.',
                icon: 'warning',
              });
            } else {
              $.post({
                url: '/admin/year/',
                data: {
                  year: year,
                },
                success: function (response) {
                  console.log(response);
                  switch (response) {
                    case 'ok':
                      swal({
                        title: 'Rok se změnil!',
                        text: 'Jaká byla cesta časem?',
                        icon: 'success',
                        timer: 3000,
                      }).then((value) => {
                        //window.location.href = '/admin/dashboard/';
                        location.reload();
                      });
                      break;

                    case 'not-sent-year':
                      swal({
                        title: 'Rok se nezměnil!',
                        text: 'Nastala chyba, protože jsi neposlal na server rok, na který se chceš přepnout.',
                        icon: 'error',
                      });

                    default:
                      break;
                  }
                }
              });
            }
          });
        }
      </script>
    </div>
  </div>




  <%- include('../partials/file-end') %>